#!/bin/bash

# cd to directory of this script
cd "`echo $0 | perl -pe 's|/[^/]+$||'`"

# insert tag text
insert () {
  perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

# index.html
cat index.md |\
   output "$(cat title)" > ../index.html

# source.html
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.html

# create tarball
cd ..
tar -czf source.tar.gz source

# testing
open index.html
